Last Modified:
Note: The "Latest Build" of Aphrodite should work w/ mozilla 1.x. It is suggested that developers only play w/ Aphrodite since it is a far way off frome being a usable browser due to lack of time to work on the project.

 --pete


(If there are any problems installing this package, please contact us.)

Note: You must have javascript enabled in order to install from the links below.
Aphrodite doesn't work on the mac. It will in future versions.